Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Instances and minimal complete definitions | Public Member Functions | Public Attributes | List of all members
ranges::view::remove_fn Struct Reference

## Synopsis of methods
constexpr view< remove_fn > | remove {}

## Public Member Functions
template<typename Rng , typename Value >
constexpr auto | operator() (Rng &&rng, Value value) const requires MoveConstructible< Value > &&ViewableRange< Rng > &&InputRange< Rng > &&IndirectlyComparable< iterator_t< Rng >
template<typename Rng , typename Value , typename Proj >
constexpr auto | operator() (Rng &&rng, Value value, Proj proj) const requires MoveConstructible< Value > &&ViewableRange< Rng > &&InputRange< Rng > &&IndirectlyComparable< iterator_t< Rng >

## Public Attributes
constexpr auto Value const | equal_to
constexpr auto Value const | Proj

## Member Data Documentation

## ◆ equal_to

constexpr auto Value const ranges::view::remove_fn::equal_to

Initial value:
{
return remove_if(static_cast<Rng&&>(rng), pred<Value>{std::move(value)})

## ◆ Proj

constexpr auto Value const ranges::view::remove_fn::Proj

Initial value:
{
return remove_if(static_cast<Rng&&>(rng), pred<Value>{std::move(value)},
std::move(proj))